#341 Memory-Cut/Copy & Paste bug that debilitates any/all EDIT features due to error alert pop-up

closed-works-for-me
nobody
Windows
1
2016-11-18
2013-10-15
No

This is a memory related bug that causes a pop-up dialog/window to appear, after which time any and all Edit features become debilitated, including from the main menu, the layer contextual menu, and selected features contextual menu. This bug will persist even after closing and re-opening OpenJump, and the only way to correct the problem is to copy something new within OpenJump in order to clear what was previously copied when the error occurred, however, because the Edit features become debilitated, one cannot copy data using any of the Edit menus, thusly one must instead use the File > Copy to Clipboard operation which will then supersede the (corrupted?) previous data that OpenJump copied to the clipboard, which seems to be part of the problem.

The following video shows the error after it has occurred. If needed, I will put together a video showing how to create the error, but only if someone here really needs it, so let me know if you do.

https://www.dropbox.com/s/qpdi53i1dzs2j1r/Memory_Copy_or_Cut_and_paste_bug.mov

Thanks,

Eric Jarvies

Related

Bugs: #341

Discussion

  • ede

    ede - 2013-10-15

    On 15.10.2013 12:11, Eric Jarvies wrote:


    [bugs:#341] http://sourceforge.net/p/jump-pilot/bugs/341/ Memory-Cut/Copy & Paste bug that debilitates any/all EDIT features due to error alert pop-up

    Status: open
    Labels: Memory RAM Copy & Paste Cut & Paste Copy Cut Memory consumption Edit Features debilitated
    Created: Tue Oct 15, 2013 10:11 AM UTC by Eric Jarvies
    Last Updated: Tue Oct 15, 2013 10:11 AM UTC
    Owner: nobody

    This is a memory related bug that causes a pop-up dialog/window to appear, after which time any and all Edit features become debilitated, including from the main menu, the layer contextual menu, and selected features contextual menu. This bug will persist even after closing and re-opening OpenJump, and the only way to correct the problem is to copy something new within OpenJump in order to clear what was previously copied when the error occurred, however, because the Edit features become debilitated, one cannot copy data using any of the Edit menus, thusly one must instead use the File > Copy to Clipboard operation which will then supersede the (/corrupted?/) previous data that OpenJump copied to the clipboard, which seems to be part of the problem.

    The following video shows the error after it has occurred. If needed, I will put together a video showing how to create the error, but only if someone here really needs it, so let me know if you do.

    https://www.dropbox.com/s/qpdi53i1dzs2j1r/Memory_Copy_or_Cut_and_paste_bug.mov

    Thanks,

    Eric Jarvies

    could you please send the full error stack?

    should be avail under Window Log or Show Details in the error dialog.

    ..ede

     

    Related

    Bugs: #341

  • ede

    ede - 2013-10-15

    On 15.10.2013 12:11, Eric Jarvies wrote:

    I will put together a video showing how to create the error, but only if someone here really needs it, so let me know if you do.

    yes, please do. it's needed to reproduce the error.

    ..ede

     
  • ede

    ede - 2013-10-15

    are you a member of any of our mailing lists? i would like to discuss with you about 32/64bit jre on mac and memory usage.

    ..ede

     
  • Eric Jarvies

    Eric Jarvies - 2013-10-15

    I should also elaborate on the data corruption that usually occurs as a result of this bug. This bug occurs when OpenJump runs out of memory, and for my particular OpenJump installation, that means at or about 1.6Gbs of consumed memory(out of 2GBs of total memory). On OS X, one can only set a maximum of 2GBs, but it seems when consumption has topped 1.6GBs, problems begin to occur.

    These problems include s l o w i n g that gets worse and worse with each mouse click or keyboard stroke, such as trying to simply save your files and save the project so one can exit and re-open OJ with freed memory, but sadly this is usually not possible as 5 minutes become 30 and 30 become 60 and by that time one is just better off doing the work over again. Another problem is that attribute data on the layers that one copied(or cut) data FROM and pasted to TO ends up getting corrupted, assuming you were able to actually Save the files prior to being forced out of the app due to the s l o w n e s s as a result of the cumulative mouse clicks/keyboard strokes one attempts after the warnings are identified as one attempts to save files/project. Sometimes the data columns will be completely wiped of all data values in one/some/all of the columns, or sometimes the value '0' will appear in one/some/all of the columns, and this can occur to both the source and the target layers with which one was performing the copy/cut and paste operations.

    I just noticed your request for me to make a video showing how to create the bug... so I'll get to work on figuring out how to best do that... need to figure out how to do it quickly so I don't have to edit video footage, so I'll likely just throw large layers with hefty copy/cut & pastes at it... which should do the trick, although would not necessarily be indicative of how the bug occurs during mine own normal OpenJump workflow, but hopefully it'll suffice.

    Where do I find the Error Stack on the OS X version of OpenJump so I can copy it and paste it here in this thread?

    Thanks,

    Eric Jarvies

     
  • ede

    ede - 2013-10-15

    On 15.10.2013 12:45, Eric Jarvies wrote:

    Where do I find the Error Stack on the OS X version of OpenJump so I can copy it and paste it here in this thread?

    A. main menu -> Window -> Log output (or so)

    B. in the error dialog when it pops up, there is a Details button

    or easiest
    C. start OJ via oj_macos.command, copy the whole terminal content after an error occured

    btw. i might need error stacks for
    1. the first error when the memory runs out
    and
    2. the second where the IO error wrt. the clipboard pops up

    you can probably enforce running out of memory much easier by assigning 128MB or such in the memory setting on top of bin/oj_linux.sh . don't forget to uncomment the line!

    ..ede

     
  • Eric Jarvies

    Eric Jarvies - 2013-10-15

    Here is the log file I copied from the Window > Log menu - take note; I could not Command-Copy the text... instead I had to Control-Copy, which as we've discussed in another thread is not correct OS X behavior(just fyi'ing).

    Thanks,

    Eric Jarvies

     
  • Eric Jarvies

    Eric Jarvies - 2013-10-15

    Ok, so I just tried ot make the first video... unfortunately I had the video paused when the error occured, but below is the video link and below that is the log file output. This time I never even made it to a copy/paste operation... instead I had just finished Noding some linestrings and had made the layer invisible, and then when the resulting output layer, specifically the output nodes, and then edited some linestrings that corresponded to those nodes, and then I had highlighted those nodes getting ready to delete them, at which point the error occurred.

    https://www.dropbox.com/s/7hp4hi74aivahl4/Memory_Copy_or_Cut_and_paste_bug-Attempt%201.mov

    Thanks,

    Eric Jarvies


    Log File


    Tue Oct 15 04:59:11 GMT-07:00 2013 Activating Select Features Tool Tue Oct 15 04:59:11 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 04:59:11 GMT-07:00 2013 Activating Select Features Tool Tue Oct 15 04:59:11 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 04:59:22 GMT-07:00 2013 Activating Select Features Tool Tue Oct 15 04:59:22 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 04:59:22 GMT-07:00 2013 Activating Select Features Tool Tue Oct 15 04:59:22 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 04:59:30 GMT-07:00 2013 Activating Select Features Tool Tue Oct 15 04:59:30 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 04:59:30 GMT-07:00 2013 Activating Select Features Tool Tue Oct 15 04:59:31 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 04:59:32 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 04:59:32 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 04:59:33 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 04:59:33 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 04:59:41 GMT-07:00 2013 Activating Select Features Tool Tue Oct 15 04:59:42 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 04:59:55 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 05:00:05 GMT-07:00 2013 Activating Select Features Tool Tue Oct 15 05:00:06 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 05:00:15 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 05:00:31 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 05:06:39 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 05:06:50 GMT-07:00 2013 executing View / Edit Attributes Tue Oct 15 05:06:50 GMT-07:00 2013 Done. Current committed memory:plugin.AbstractPlugIn.executing = Executing1,461 MB Tue Oct 15 05:06:56 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 05:06:58 GMT-07:00 2013 executing View / Edit Attributes Tue Oct 15 05:06:58 GMT-07:00 2013 Done. Current committed memory:plugin.AbstractPlugIn.executing = Executing1,438 MB Tue Oct 15 05:07:05 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 05:07:06 GMT-07:00 2013 executing View / Edit Attributes Tue Oct 15 05:07:06 GMT-07:00 2013 Done. Current committed memory:plugin.AbstractPlugIn.executing = Executing1,574 MB Tue Oct 15 05:07:13 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 05:07:29 GMT-07:00 2013 executing View / Edit Attributes Tue Oct 15 05:07:29 GMT-07:00 2013 Done. Current committed memory:plugin.AbstractPlugIn.executing = Executing1,545 MB Tue Oct 15 05:07:34 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 05:07:36 GMT-07:00 2013 executing View / Edit Attributes Tue Oct 15 05:07:36 GMT-07:00 2013 Done. Current committed memory:plugin.AbstractPlugIn.executing = Executing1,527 MB Tue Oct 15 05:07:44 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 05:07:48 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 05:07:53 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 05:07:58 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 05:08:01 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 05:08:27 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 05:09:22 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 05:09:58 GMT-07:00 2013 executing Zoom To Full Extent Tue Oct 15 05:09:58 GMT-07:00 2013 Done. Current committed memory:plugin.AbstractPlugIn.executing = Executing1,473 MB Tue Oct 15 05:10:50 GMT-07:00 2013 executing Noder Tue Oct 15 05:10:57 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 05:11:40 GMT-07:00 2013 Done. Current committed memory:plugin.AbstractPlugIn.executing = Executing1,608 MB Tue Oct 15 05:11:40 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 05:12:03 GMT-07:00 2013 executing View / Edit Attributes Tue Oct 15 05:12:03 GMT-07:00 2013 Done. Current committed memory:plugin.AbstractPlugIn.executing = Executing1,639 MB Tue Oct 15 05:12:24 GMT-07:00 2013 Activating Zoom In/Out Tue Oct 15 05:12:24 GMT-07:00 2013 Gesture Finished:: Zoom In/Out Tue Oct 15 05:12:34 GMT-07:00 2013 Activating Select Linestrings Tue Oct 15 05:12:35 GMT-07:00 2013 Activating Select Linestrings Tue Oct 15 05:12:35 GMT-07:00 2013 Gesture Finished:: Select Linestrings Tue Oct 15 05:12:37 GMT-07:00 2013 Activating Move Vertex Tool Tue Oct 15 05:12:37 GMT-07:00 2013 Activating Move Vertex Tool Tue Oct 15 05:12:40 GMT-07:00 2013 Activating Move Vertex Tool Tue Oct 15 05:12:40 GMT-07:00 2013 Gesture Finished:: Move Vertex Tool Tue Oct 15 05:12:41 GMT-07:00 2013 Gesture Finished:: Move Vertex Tool Tue Oct 15 05:12:42 GMT-07:00 2013 Gesture Finished:: Move Vertex Tool Tue Oct 15 05:12:45 GMT-07:00 2013 Gesture Finished:: Move Vertex Tool Tue Oct 15 05:12:47 GMT-07:00 2013 Gesture Finished:: Move Vertex Tool Tue Oct 15 05:12:48 GMT-07:00 2013 Gesture Finished:: Move Vertex Tool Tue Oct 15 05:12:50 GMT-07:00 2013 Gesture Finished:: Move Vertex Tool Tue Oct 15 05:12:52 GMT-07:00 2013 Gesture Finished:: Move Vertex Tool Tue Oct 15 05:12:54 GMT-07:00 2013 Gesture Finished:: Move Vertex Tool Tue Oct 15 05:12:55 GMT-07:00 2013 Activating Select Linestrings Tue Oct 15 05:12:56 GMT-07:00 2013 Activating Select Linestrings Tue Oct 15 05:12:56 GMT-07:00 2013 Gesture Finished:: Select Linestrings Tue Oct 15 05:12:58 GMT-07:00 2013 Activating Move Vertex Tool Tue Oct 15 05:12:59 GMT-07:00 2013 Activating Move Vertex Tool Tue Oct 15 05:13:00 GMT-07:00 2013 Gesture Finished:: Move Vertex Tool Tue Oct 15 05:13:02 GMT-07:00 2013 Gesture Finished:: Move Vertex Tool Tue Oct 15 05:13:04 GMT-07:00 2013 Gesture Finished:: Move Vertex Tool Tue Oct 15 05:13:06 GMT-07:00 2013 Gesture Finished:: Move Vertex Tool Tue Oct 15 05:13:07 GMT-07:00 2013 Gesture Finished:: Move Vertex Tool Tue Oct 15 05:13:09 GMT-07:00 2013 Gesture Finished:: Move Vertex Tool Tue Oct 15 05:13:13 GMT-07:00 2013 Gesture Finished:: Move Vertex Tool Tue Oct 15 05:13:14 GMT-07:00 2013 Gesture Finished:: Move Vertex Tool Tue Oct 15 05:13:16 GMT-07:00 2013 Gesture Finished:: Move Vertex Tool Tue Oct 15 05:13:30 GMT-07:00 2013 executing Editable Tue Oct 15 05:13:30 GMT-07:00 2013 Done. Current committed memory:plugin.AbstractPlugIn.executing = Executing1,653 MB Tue Oct 15 05:13:33 GMT-07:00 2013 Activating Select Linestrings Tue Oct 15 05:13:34 GMT-07:00 2013 Activating Select Linestrings Tue Oct 15 05:13:34 GMT-07:00 2013 Gesture Finished:: Select Linestrings Tue Oct 15 05:13:35 GMT-07:00 2013 Gesture Finished:: Select Linestrings Tue Oct 15 05:13:35 GMT-07:00 2013 Gesture Finished:: Select Linestrings Tue Oct 15 05:13:36 GMT-07:00 2013 Gesture Finished:: Select Linestrings Tue Oct 15 05:13:37 GMT-07:00 2013 Activating Select Features Tool Tue Oct 15 05:13:37 GMT-07:00 2013 Activating Select Features Tool Tue Oct 15 05:13:38 GMT-07:00 2013 Activating Select Features Tool Tue Oct 15 05:13:38 GMT-07:00 2013 Gesture Finished:: Select Features Tool Tue Oct 15 05:13:39 GMT-07:00 2013 Gesture Finished:: Select Features Tool Tue Oct 15 05:13:39 GMT-07:00 2013 Gesture Finished:: Select Features Tool Tue Oct 15 05:13:40 GMT-07:00 2013 Gesture Finished:: Select Features Tool Tue Oct 15 05:13:40 GMT-07:00 2013 java.io.IOException: system clipboard data unavailable at apple.awt.CClipboard.getClipboardData(Native Method) at sun.awt.datatransfer.ClipboardTransferable.fetchOneFlavor(ClipboardTransferable.java:101) at sun.awt.datatransfer.ClipboardTransferable.<init>(ClipboardTransferable.java:80) at sun.awt.datatransfer.SunClipboard.getContents(SunClipboard.java:130) at com.vividsolutions.jump.workbench.ui.GUIUtil.getContents(GUIUtil.java:718) at com.vividsolutions.jump.workbench.ui.plugin.clipboard.PasteItemsPlugIn$2.check(PasteItemsPlugIn.java:229) at com.vividsolutions.jump.workbench.plugin.MultiEnableCheck.check(MultiEnableCheck.java:60) at org.openjump.core.ui.swing.listener.EnableCheckMenuItemShownListener.menuItemShown(EnableCheckMenuItemShownListener.java:60) at com.vividsolutions.jump.workbench.ui.plugin.FeatureInstaller$2.popupMenuWillBecomeVisible(FeatureInstaller.java:903) at javax.swing.JPopupMenu.firePopupMenuWillBecomeVisible(JPopupMenu.java:623) at javax.swing.JPopupMenu.setVisible(JPopupMenu.java:730) at javax.swing.JPopupMenu.show(JPopupMenu.java:904) at com.vividsolutions.jump.workbench.ui.LayerViewPanel.this_mouseReleased(LayerViewPanel.java:594) at com.vividsolutions.jump.workbench.ui.LayerViewPanel$1.mousePressed(LayerViewPanel.java:178) at java.awt.AWTEventMulticaster.mousePressed(AWTEventMulticaster.java:263) at java.awt.AWTEventMulticaster.mousePressed(AWTEventMulticaster.java:262) at java.awt.AWTEventMulticaster.mousePressed(AWTEventMulticaster.java:262) at java.awt.Component.processMouseEvent(Component.java:6411) at javax.swing.JComponent.processMouseEvent(JComponent.java:3275) at java.awt.Component.processEvent(Component.java:6179) at java.awt.Container.processEvent(Container.java:2083) at java.awt.Component.dispatchEventImpl(Component.java:4776) at java.awt.Container.dispatchEventImpl(Container.java:2141) at java.awt.Component.dispatchEvent(Component.java:4604) at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4619) at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4277) at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4210) at java.awt.Container.dispatchEventImpl(Container.java:2127) at java.awt.Window.dispatchEventImpl(Window.java:2489) at java.awt.Component.dispatchEvent(Component.java:4604) at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:717) at java.awt.EventQueue.access$400(EventQueue.java:82) at java.awt.EventQueue$2.run(EventQueue.java:676) at java.awt.EventQueue$2.run(EventQueue.java:674) at java.security.AccessController.doPrivileged(Native Method) at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:86) at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:97) at java.awt.EventQueue$3.run(EventQueue.java:690) at java.awt.EventQueue$3.run(EventQueue.java:688) at java.security.AccessController.doPrivileged(Native Method) at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:86) at java.awt.EventQueue.dispatchEvent(EventQueue.java:687) at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:296) at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:211) at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:201) at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:196) at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:188) at java.awt.EventDispatchThread.run(EventDispatchThread.java:122) Tue Oct 15 05:14:03 GMT-07:00 2013 Activating Select Features Tool Tue Oct 15 05:14:10 GMT-07:00 2013 java.io.IOException: system clipboard data unavailable at apple.awt.CClipboard.getClipboardData(Native Method) at sun.awt.datatransfer.ClipboardTransferable.fetchOneFlavor(ClipboardTransferable.java:101) at sun.awt.datatransfer.ClipboardTransferable.<init>(ClipboardTransferable.java:80) at sun.awt.datatransfer.SunClipboard.getContents(SunClipboard.java:130) at com.vividsolutions.jump.workbench.ui.GUIUtil.getContents(GUIUtil.java:718) at com.vividsolutions.jump.workbench.ui.plugin.clipboard.PasteItemsPlugIn$2.check(PasteItemsPlugIn.java:229) at com.vividsolutions.jump.workbench.plugin.MultiEnableCheck.check(MultiEnableCheck.java:60) at org.openjump.core.ui.swing.listener.EnableCheckMenuItemShownListener.menuItemShown(EnableCheckMenuItemShownListener.java:60) at com.vividsolutions.jump.workbench.ui.plugin.FeatureInstaller$2.popupMenuWillBecomeVisible(FeatureInstaller.java:903) at javax.swing.JPopupMenu.firePopupMenuWillBecomeVisible(JPopupMenu.java:623) at javax.swing.JPopupMenu.setVisible(JPopupMenu.java:730) at javax.swing.JPopupMenu.show(JPopupMenu.java:904) at com.vividsolutions.jump.workbench.ui.LayerViewPanel.this_mouseReleased(LayerViewPanel.java:594) at com.vividsolutions.jump.workbench.ui.LayerViewPanel$1.mousePressed(LayerViewPanel.java:178) at java.awt.AWTEventMulticaster.mousePressed(AWTEventMulticaster.java:263) at java.awt.AWTEventMulticaster.mousePressed(AWTEventMulticaster.java:262) at java.awt.AWTEventMulticaster.mousePressed(AWTEventMulticaster.java:262) at java.awt.Component.processMouseEvent(Component.java:6411) at javax.swing.JComponent.processMouseEvent(JComponent.java:3275) at java.awt.Component.processEvent(Component.java:6179) at java.awt.Container.processEvent(Container.java:2083) at java.awt.Component.dispatchEventImpl(Component.java:4776) at java.awt.Container.dispatchEventImpl(Container.java:2141) at java.awt.Component.dispatchEvent(Component.java:4604) at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4619) at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4277) at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4210) at java.awt.Container.dispatchEventImpl(Container.java:2127) at java.awt.Window.dispatchEventImpl(Window.java:2489) at java.awt.Component.dispatchEvent(Component.java:4604) at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:717) at java.awt.EventQueue.access$400(EventQueue.java:82) at java.awt.EventQueue$2.run(EventQueue.java:676) at java.awt.EventQueue$2.run(EventQueue.java:674) at java.security.AccessController.doPrivileged(Native Method) at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:86) at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:97) at java.awt.EventQueue$3.run(EventQueue.java:690) at java.awt.EventQueue$3.run(EventQueue.java:688) at java.security.AccessController.doPrivileged(Native Method) at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:86) at java.awt.EventQueue.dispatchEvent(EventQueue.java:687) at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:296) at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:211) at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:201) at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:196) at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:188) at java.awt.EventDispatchThread.run(EventDispatchThread.java:122) Tue Oct 15 05:14:12 GMT-07:00 2013 Activating Select Features Tool Tue Oct 15 05:14:39 GMT-07:00 2013 Activating Select Features Tool Tue Oct 15 05:14:41 GMT-07:00 2013 Activating Select Features Tool Tue Oct 15 05:15:15 GMT-07:00 2013 Activating Select Features Tool Tue Oct 15 05:15:28 GMT-07:00 2013 executing Log

     
  • Eric Jarvies

    Eric Jarvies - 2013-10-15

    After experiencing the above error, I spent a few moments typing the above message, and then returned to OJ and used the File > Copy to Clipboard operation to get rid of the bug, and then i deleted those vertices... here is the log file output from between the above log file time and now:

    Tue Oct 15 05:15:28 GMT-07:00 2013 Done. Current committed memory:plugin.AbstractPlugIn.executing = Executing1,687 MB
    Tue Oct 15 05:17:40 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:17:43 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:17:57 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:18:05 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:18:05 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:18:07 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:18:30 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:18:31 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:18:33 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:24:42 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:24:45 GMT-07:00 2013 executing Copy View to Clipboard
    Tue Oct 15 05:24:45 GMT-07:00 2013 Done. Current committed memory:plugin.AbstractPlugIn.executing = Executing1,593 MB

    Tue Oct 15 05:24:54 GMT-07:00 2013 Gesture Finished:: Select Features Tool
    Tue Oct 15 05:24:55 GMT-07:00 2013 Gesture Finished:: Select Features Tool
    Tue Oct 15 05:24:58 GMT-07:00 2013 executing Delete Selected Items
    Tue Oct 15 05:24:58 GMT-07:00 2013 Done. Current committed memory:plugin.AbstractPlugIn.executing = Executing1,605 MB

    Tue Oct 15 05:25:11 GMT-07:00 2013 executing Log

    END


    I just returned to OJ, and opened the log file window again, and noticed more entries have been created... I would point out that I have not touched the app nor have I performed any operations or mouse movements or keyboard strokes or anything... these following entires just seem to have been created for no particular reason(or perhaps for some good reason known to you and not me). I have returned 2 more times, and the same entries have been added a few more times... so it seems the Activating Select Features Tool is constantly firing and making log entries, along with the periodic memory plugin message?:
    Tue Oct 15 05:25:11 GMT-07:00 2013 Done. Current committed memory:plugin.AbstractPlugIn.executing = Executing1,610 MB
    Tue Oct 15 05:25:20 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:25:22 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:25:28 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:25:48 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:25:49 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:25:53 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:25:55 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:25:55 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:25:56 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:26:02 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:26:02 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:26:03 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:26:11 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:26:12 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:26:13 GMT-07:00 2013 Activating Select Features Tool
    Tue Oct 15 05:28:49 GMT-07:00 2013 Activating Select Features Tool

    <the above="" is="" repeated="" below="" with="" latter="" time="" date="" stamps...keeps="" going="" and="" going="" with="" time="">

     
  • ede

    ede - 2013-10-15

    ignore the additional lot messages, they are just informational.

    the IOException actually should be caught in
    com.vividsolutions.jump.workbench.ui.GUIUtil.getContents(GUIUtil.java:718)
    why it isn't baffles me somewhat.

    what exactly is your java version? it is mentioned on top if you start OJ via bin/oj_macos.command

    ..ede

     
  • ede

    ede - 2013-10-15

    sorry,

    i cannot replicate your issue. i set -Xmx 128M in the start script to limit memory for OJ and ran an older snapshot from april (was already there on my mac).
    at some point heap memory erros occured, OJ got terribly slow, but the Edit menu was openable as before. no IOException no nothing.

    what exactly is your OJ version? can you replicate the error with the latest snapshot?

    ..ede

     
  • Eric Jarvies

    Eric Jarvies - 2013-10-15

    Here is the output from my Terminal Window(e.g.- bin/oj_macos.command):

    macpro-2:~ ericjarvies$ /Applications/OpenJUMP\ 20131009\ rev.3746\ PLUS.app/bin/oj_macosx.command ; exit;
    Running -> '/System/Library/Frameworks/JavaVM.framework/Versions/Current/Commands/java'; java version "1.6.0_51"; Java(TM) SE Runtime Environment (build 1.6.0_51-b11-457-11M4509); Java HotSpot(TM) 64-Bit Server VM (build 20.51-b01-457, mixed mode);
    Oct 15, 2013 7:47:17 AM it.geosolutions.imageio.plugins.turbojpeg.TurboJpegUtilities loadTurboJpeg
    WARNING: Failed to load the TurboJpeg native libs. This is not a problem, but the TurboJpeg encoder won't be available: java.lang.UnsatisfiedLinkError: Can't load library: /usr/lib/libturbojpeg.jnilib
    Oct 15, 2013 7:47:17 AM it.geosolutions.imageio.gdalframework.GDALUtilities loadGDAL
    WARNING: Failed to load the GDAL native libs. This is not a problem unless you need to use the GDAL plugins: they won't be enabled.
    java.lang.UnsatisfiedLinkError: no gdaljni in java.library.path
    Oct 15, 2013 7:47:17 AM it.geosolutions.util.KakaduUtilities loadKakadu
    WARNING: Failed to load the Kakadu native libs. This is not a problem unless you need to use the Kakadu plugin: it won't be enabled. java.lang.UnsatisfiedLinkError: no kdu_jni in java.library.path
    Oct 15 07:47:19 macpro-2.lan java[10021] <Error>: CGContextGetCTM: invalid context 0x0
    Oct 15 07:47:19 macpro-2.lan java[10021] <Error>: CGContextSetBaseCTM: invalid context 0x0
    Oct 15 07:47:19 macpro-2.lan java[10021] <Error>: CGContextGetCTM: invalid context 0x0
    Oct 15 07:47:19 macpro-2.lan java[10021] <Error>: CGContextSetBaseCTM: invalid context 0x0
    Oct 15 07:47:19 macpro-2.lan java[10021] <Error>: CGContextGetCTM: invalid context 0x0
    Oct 15 07:47:19 macpro-2.lan java[10021] <Error>: CGContextSetBaseCTM: invalid context 0x0
    Oct 15 07:47:19 macpro-2.lan java[10021] <Error>: CGContextGetCTM: invalid context 0x0
    Oct 15 07:47:19 macpro-2.lan java[10021] <Error>: CGContextSetBaseCTM: invalid context 0x0
    Missing translation for 'org.openjump.core.ui.plugin.file.InstallDummyReaderPlugIn$DummyDataSource' in resource bundle 'language/jump'.
    Scanning ./lib/ext/aggregation-0.2.7.jar took 0.00s
    Scanning ./lib/ext/bsheditor4jump-0.2.4.jar took 0.00s
    Scanning ./lib/ext/ColorChooser-0.6.jar took 0.00s
    Scanning ./lib/ext/csv-driver-0.6.6.jar took 0.00s
    Scanning ./lib/ext/driver-dxf-0.7.8.jar took 0.00s
    Scanning ./lib/ext/graph-toolbox-0.1.4.jar took 0.00s
    Scanning ./lib/ext/itext-2.1.7.jar took 0.02s
    Scanning ./lib/ext/jgrapht-jdk1.5.jar took 0.00s
    Scanning ./lib/ext/jump-jgrapht-0.5.jar took 0.00s
    Scanning ./lib/ext/JumpChart.jar took 0.00s
    Scanning ./lib/ext/JumpFillPattern.jar took 0.00s
    Scanning ./lib/ext/JumpPrinter.jar took 0.00s
    Scanning ./lib/ext/kml-driver-0.1.jar took 0.00s
    Scanning ./lib/ext/oj_osm_reader_v1-0-4.jar took 0.00s
    Scanning ./lib/ext/ojsextante_binding_apr2013.jar took 0.00s
    Scanning ./lib/ext/pbaseClasses.jar took 0.00s
    Scanning ./lib/ext/PirolCsv.jar took 0.00s
    Scanning ./lib/ext/TableLayout-bin-jdk1.5-2007-04-21.jar took 0.00s
    Scanning ./lib/ext/topology-0.7.0.jar took 0.00s
    Scanning ./lib/ext/VertexSymbols.jar took 0.00s
    Scanning ./lib/ext/xbean-2.2.0.jar took 0.03s
    Finding all OJ extensions took 0.08s
    Loading Aggregation PlugIn (Micha?l Michaud) 0.2.7 (2013-03-20) took 0.03s
    Loading BeanShell Script Editor 0.2.4 (2012-01-17) took 0.00s
    Loading Feature Color Chooser PlugIn (adapted from SkyJUMP sourceforge.net/projects/skyjump/) 0.6 (2013-04-11) took 0.02s
    Loading CSV Driver 0.6.6 took 0.03s
    Loading DXF driver 0.7.8 took 0.00s
    Loading Graph Extension (Micha?l Michaud) 0.1.4 (2013-01-15) took 0.02s
    Missing translation for 'com.cadplan.jump.JumpChartPlugIn' in resource bundle 'language/jump'.
    Loading Jump Chart (com.cadplan.jump) took 0.01s
    Loading Fill Pattern (com.cadplan.jump) took 0.15s
    Missing translation for 'com.cadplan.jump.PrinterPlugIn' in resource bundle 'language/jump'.
    Loading Printer (com.cadplan.jump) took 0.06s
    Missing translation for 'lat-long' in resource bundle 'com/isa/jump/plugin/language/jump'.
    Loading KML driver 0.1 took 0.02s
    Loading OSM Driver 1.0.1 (2013-08-03) took 0.00s
    starting Sextante initialization >>
    Sextante jar folder: /Applications/OpenJUMP 20131009 rev.3746 PLUS.app/lib/ext/sextante
    Sextante help path folder: /Applications/OpenJUMP 20131009 rev.3746 PLUS.app/lib/ext/sextante_help
    Loading Sextante 1.0 (http://www.sextantegis.com/) (2013-04-01) took 0.72s
    Loading Topology Extension (Micha?l Michaud) 0.7.0 (2013-02-17) took 0.03s
    Missing translation for 'com.cadplan.jump.VertexNotePlugin' in resource bundle 'language/jump'.
    Loading Vertex Note (com.cadplan.jump) took 0.01s
    Missing translation for 'com.cadplan.jump.VertexSymbolsPlugIn' in resource bundle 'language/jump'.
    Loading Vertex Symbols (com.cadplan.jump) took 0.01s
    Loading all OJ extensions took 1.12s
    mrsidgeodecode not installed. - os not supported.
    GIF temp: /var/folders/tw/62d2gg317clfdckxs8t8qf3r0000gp/T

    GIFFLL: register Referenced Image (ImageIO JPEG 2000 Image Reader, version 1.1, Sun Microsystems, Inc.)/[jp2]
    GIFFLL: register Referenced Image (Standard TIFF image reader, version 1.0, Apple computer Inc.)/[tif, tiff]
    GIFFLL: register Referenced Image (Standard JPEG Image Reader, version 0.5, Sun Microsystems, Inc.)/[jpeg, jpg]
    GIFFLL: register Referenced Image (ImageIO Raw Image Reader, version 1.1, Sun Microsystems, Inc.)/[*]
    GIFFLL: register Referenced Image (AsciiGrids Image Reader, version 1.0, GeoSolutions)/[arx, asc]
    GIFFLL: register Referenced Image (Standard WBMP Image Reader, version 1.0, Sun Microsystems, Inc.)/[wbmp]
    GIFFLL: register Referenced Image (Standard GIF image reader, version 1.0, Sun Microsystems, Inc.)/[gif]
    GIFFLL: register Referenced Image (Standard PNG image reader, version 1.0, Sun Microsystems, Inc.)/[png]
    GIFFLL: register Referenced Image (ImageIO BMP Image Reader, version 1.1, Sun Microsystems, Inc.)/[bmp]
    GIFFLL: register Referenced Image (ImageIO WBMP Image Reader, version 1.1, Sun Microsystems, Inc.)/[wbmp]
    GIFFLL: register Referenced Image (ImageIO PNM Image Reader, version 1.1, Sun Microsystems, Inc.)/[pbm, pgm, ppm]
    GIFFLL: register Referenced Image (Standard BMP Image Reader, version 1.0, Sun Microsystems, Inc.)/[bmp]
    GIFFLL: register Referenced Image (ImageIO TIFF Image Reader, version 1.1, Sun Microsystems, Inc.)/[tif, tiff]
    GIFFLL: register Referenced Image (ImageIO TIFF Image Reader, version 1.0, ImageIO-Ext)/[btf, tf8, tif, tiff]
    GIFFLL: register Referenced Image (JAI JPEG)/[jpeg, jpg]
    GIFFLL: register Referenced Image (JAI XTIFF)/[tif, tiff]
    GIFFLL: register Referenced Image (JAI PNM)/[pnm]
    GIFFLL: register Referenced Image (JAI GIF)/[gif]
    GIFFLL: register Referenced Image (JAI WBMP)/[wbmp]
    GIFFLL: register Referenced Image (JAI BMP)/[bmp]
    GIFFLL: register Referenced Image (JAI PNG)/[png]
    GIFFLL: register Referenced Image (JAI TIFF)/[tif, tiff]
    GIFFLL: register Referenced Image (JAI FPX)/[fpx]
    OJ start took 4.35s alltogether.
    Activating Select Features Tool
    Activating Select Features Tool
    Activating Select Features Tool

     
  • michael michaud

    michael michaud - 2016-11-18
    • Operating System: --> Windows
     
  • michael michaud

    michael michaud - 2016-11-18

    No progress on this bug. Can any mac user reproduce the problem ? Eric ? If nobody listening the list can reproduce the problem, I suggest to close this bug reprt as closed-works-for-me.

     
  • Eric Jarvies

    Eric Jarvies - 2016-11-18

    I've not experienced the problem recently, so agree the ticket should be closed. Thanks.

     
  • michael michaud

    michael michaud - 2016-11-18
    • status: open --> closed-works-for-me
     
  • michael michaud

    michael michaud - 2016-11-18

    Problem is considered as solved.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks